#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/bin/get_params.sh

if [ -z "${_TRIGO_SVC_NAME}" ]; then
    ${ECHO} "Usage: $0 --svc_name=<service name> [--unbind=no] [--debug=yes]"
    exit
fi

SVC_NAME=${_TRIGO_SVC_NAME}
. ${ADMIN_DIR}/init_svc_vars.sh

if [ -r "$PID" ]; then
    ${ECHO} "killing service '${SVC_NAME}'"
    kill -9 `cat $PID` > /dev/null 2>&1
    ${RM} $PID
else
    ${ECHO} "killing service: cannot find local service '${SVC_NAME}'"
fi

#unbind
if [ ! "${_TRIGO_UNBIND}" = "no" ]; then
   ${JAVA_RT} trigo_admin.common.RootAdmin -cmd=unbind -svc=${SVC_NAME}
fi
