# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


${MKDIR} ${SVC_LOG_DIR}/${SVC_NAME}

PID=${SVC_LOG_DIR}/${SVC_NAME}/svc.pid
LOG=${SVC_LOG_DIR}/${SVC_NAME}/svc.out

# read the right austin.properties
if [ -e "${TRIGO_ETC_DIR}/${SVC_NAME}/austin.properties" ]; then
    . $TOP/bin/read_config_file.sh ${TRIGO_ETC_DIR}/${SVC_NAME}/austin.properties
else
    . $TOP/bin/read_config_file.sh ${TRIGO_ETC_DIR}/default/austin.properties
fi


# start cmd and output stdout and stderr to log file
# also saves pid of cmd to pid file
startWithLogs() {
    CMD=$@
    TXT1="Starting trigo service: '${SVC_NAME}' at `date`"
    TXT2="Using command: $CMD"
    TXT3="---------------------------------------------"
    if [ ! -z "${_TRIGO_NOLOG}" ]; then
        ${ECHO} ${TXT1}
        ${ECHO}
        ${ECHO} ${TXT2}
        ${ECHO} ${TXT3}
        $CMD &
        ${ECHO} $! > $PID
    else
        ${ECHO} ${TXT1} > $LOG
        ${ECHO} >> $LOG
        ${ECHO} ${TXT2} >> $LOG
        ${ECHO} ${TXT3} >> $LOG
        $CMD >> $LOG 2>&1 &
        ${ECHO} $! > $PID
    fi
}


# FindEtcDirForAppSvr <appsvr type>
#   find if there is a ${TRIGO_ETC_DIR}/<svc_name>/<appsvr type> directory
#   if it does not exist, use the default directory
InitEtcDirForAppSvr() {
    if [ -d "${TRIGO_ETC_DIR}/${SVC_NAME}/$1" ]; then
        SVC_ETC_DIR=${TRIGO_ETC_DIR}/${SVC_NAME}
    else
        SVC_ETC_DIR=${TRIGO_ETC_DIR}/default
    fi
    
    APPSVR_OPTS="${CLIENT_SERVER_JAVA_OPTION} $APPSVR_MEMORY_FLAG $BASIC_JAVA_OPTIONS -Dtrigo.memflags='$APPSVR_MEMORY_FLAG' -Dsvc_name=${SVC_NAME} -Dsvc_etc_dir=${SVC_ETC_DIR}"
}
