#!/bin/bash

. ${TOP}/bin/get_params.sh
if [ ! "${_TRIGO_STOP}" = "no" ]; then
    ${ADMIN_DIR}/abort/abort_appsvr.sh
fi

SVC_NAME=appsvr_${SHORT_HOSTNAME}
. ${ADMIN_DIR}/init_svc_vars.sh

${ECHO} "starting service '${SVC_NAME}'"
cd $TOP

case "${TRIGO_APPSVR}" in
    tomcat)
        cd ${TOP}/etc/default/tomcat
        ${RM} ${TOP}/logs/tomcat/work/*

        startWithLogs ${JDK_HOME}/bin/java \
            ${APPSVR_OPTS} \
            ${TRIGO_APPSVR_JVM_DEBUG_OPTS}\
            -classpath ${TRIGO_CLASSPATH} \
            -Dtomcat.home=${TOMCAT_HOME} \
            -Xdebug -Xnoagent -Djava.compiler=NONE \
            -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=5005 \
            org.apache.tomcat.startup.Tomcat \
            -f ${TOP}/etc/default/tomcat/server.xml \
        ;;
    tomcat33)
        cd ${TOP}/etc/default/tomcat33
        ${RM} ${TOP}/logs/tomcat/work/*

        startWithLogs ${JDK_HOME}/bin/java \
            ${APPSVR_OPTS} \
            ${TRIGO_APPSVR_JVM_DEBUG_OPTS}\
            -classpath ${TRIGO_CLASSPATH} \
            -Dtomcat.home=${TOMCAT_HOME} \
            -Xdebug -Xnoagent -Djava.compiler=NONE -Xrunjdwp:transport=dt_socket,server=y,suspend=n,address=59103 \
            org.apache.tomcat.startup.Main \
            -f ${TOP}/etc/default/tomcat33/server.xml \
        ;;

    weblogic)
        cd ${TRIGO_WL_DOMAIN_DIR}
        export CLASSPATH=
        . ./setEnv.sh
        export CLASSPATH=${TRIGO_CLASSPATH}${PATH_SEPARATOR}${CLASSPATH}
        cd ../..

        STARTMODE=true
        BEA_HOME=`cd ${WL_HOME}/..; pwd`

        startWithLogs ${JDK_HOME}/bin/java \
            ${APPSVR_OPTS} \
            ${TRIGO_APPSVR_JVM_DEBUG_OPTS}\
            -classpath ${CLASSPATH} \
            -Dweblogic.Domain=${TRIGO_WL_DOMAIN} \
            -Dweblogic.Name=${TRIGO_WL_SERVER} \
            -Dbea.home=${BEA_HOME} \
            -Dweblogic.management.password=${TRIGO_WL_PW} \
            -Dweblogic.ProductionModeEnabled=${STARTMODE} \
            -Djava.security.policy==${WL_HOME}/lib/weblogic.policy \
            weblogic.Server
        ;;

    *)
        ${ECHO} "$0: Error!: TRIGO_APPSVR set to \"$TRIGO_APPSVR\". Unknown value"
        ;;
esac
