#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


${ADMIN_DIR}/stop/stop_svc.sh --svc_name=appsvr_${SHORT_HOSTNAME}

case "${TRIGO_APPSVR}" in
    websphere)
        InitEtcDirForAppSvr websphere
        if [ -e ${WAS_HOME}/bin/stopServer.sh ]; then
            ${WAS_HOME}/bin/stopServer.sh -configFile ${SVC_ETC_DIR}/websphere/server-cfg.xml
        else
            echo "Warning!  \$TRIGO_APPSVR set to websphere, but couldn't find stopServer.sh!"
            echo "If you are using WebSphere Advanced Edition, please set \$TRIGO_APPSVR to \"websphereAE\""
        fi
        ;;
    websphereAE)
        InitEtcDirForAppSvr websphere
        ${WAS_HOME}/bin/wscp.sh -p ${TOP}/etc/default/websphere/wscp.properties -f ${ADMIN_DIR}/websphere/stop.tcl ${WAS_NODENAME} ${WAS_APPSERVERNAME}
        ;;
    websphere5)
        ${WAS_HOME}/bin/stopServer.sh ${WAS_APPSERVERNAME}
        ;;
    *)
        ;;
esac
