#!/bin/bash

# Sachin Prasad
# Symphony services

# usage: importCompany --company_code=<code> --zipfile_path=<path/to/import/archive>

. ${TOP}/bin/get_params.sh

if [ -z ${_TRIGO_COMPANY_CODE} ]; then
    echo Company code not specified
    echo "usage: importCompany --company_code=<code> --zipfile_path=<path/to/import/archive>"
    exit
fi

if [ -z ${_TRIGO_ZIPFILE_PATH} ]; then
    echo Archive file Path not specified
    echo "usage: importCompany --company_code=<code> --zipfile_path=<path/to/import/archive>"
    exit
fi


if [ ! -e ${_TRIGO_ZIPFILE_PATH} ]; then
    echo "Archive file not found" 
    exit
fi

zip -T ${_TRIGO_ZIPFILE_PATH} 1>/dev/null 2>/dev/null

if [ $? -ne 0 ]; then 
   echo "The specified archive file [ ${_TRIGO_ZIPFILE_PATH} ] is corrupted"
   exit 
fi

if [ -e ./importCompany.log ]; then 
    echo "The log file for last importCompany exists and will be overwritten. Continue (y/n)?"
   read res
   if [ "$res" = "n" ]; then
       echo "!! exiting"
       exit
   fi
fi

touch importCompany.log
echo "============================================================"
$JAVA_RT trigo_envexpimp.common.EnvironmentImporter -companycode=${_TRIGO_COMPANY_CODE} -zipfilepath=${_TRIGO_ZIPFILE_PATH} | tee importCompany.log
echo 
echo "+++The log file has been created at `pwd`/importCompany.log"
echo "============================================================"
