#!/bin/bash

# Sachin Prasad
# Symphony services

# usage: load.sh --company_code=<code> --folder_path=<directory path>

. ${TOP}/bin/get_params.sh

usage="usage: load.sh --company_code=<code> --folder_path=<directory path>"
extension=".zip"

if [ -z ${_TRIGO_COMPANY_CODE} ]; then
    echo "Company code not specified"
    echo $usage
    exit
fi

 

if [ -z ${_TRIGO_FOLDER_PATH} ]; then
    echo "Folder Path not specified"
    echo $usage
    exit
fi


ls ${_TRIGO_FOLDER_PATH} 2> /dev/null 1> /dev/null 
if [ $? -ne 0 ]; then 
   echo "The specified Folder ${_TRIGO_FOLDER_PATH} does not exist"
   exit 1
fi


echo "============================================================"
echo "+++++ Compressing ${_TRIGO_FOLDER_PATH}"
cd ${_TRIGO_FOLDER_PATH}
zip -r * archives
echo
echo "+++++ Importing to company ${_TRIGO_COMPANY_CODE}"
$JAVA_RT trigo_envexpimp.common.EnvironmentImporter -companycode="${_TRIGO_COMPANY_CODE}" -zipfilepath=archives.zip
echo "+++++ Deleting zip from local drive"
rm archives.zip
cd -
echo "============================================================"
