#!/bin/bash
#
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#

# read a config file (java property file or austin.properties...)
# and assign shell variables
#
# ex: if the file contains:
#  rmi_port=19100
#  locale_xml_top=/locales/
#
# it will assign 2 variables:
#  _TRIGO_CONF_RMI_PORT to '19100'
#  _TRIGO_CONF_LOCALE_XML_TOP to '/locales/'

FILE=${1:-${TRIGO_ETC_DIR}/default/austin.properties}

eval "`${AWK} -F\"=\" '/(^[^#|^$])/ && /^.*=.*/ { printf \"_TRIGO_CONF_\"; printf toupper(\$1); printf \"=\"; printf \"\\\"\"; printf \$2; print \"\\\"\"; }' < $FILE`"

#${MKDIR} ${TOP}/logs
#OUTPUT_FILE="${TOP}/logs/tmp_read_config.log"
#${RM} ${OUTPUT_FILE}

#cat $FILE \
#    |${GREP} -v '^#' \
#    |${GREP} -v '^$' \
#    |${SED} 's#^ *\([^ =]\+\) *= *\([^ ]*\)#\1%\2#' \
#    > ${OUTPUT_FILE}

#while read LINE
#do
#    _NAME=`${ECHO} $LINE|cut -d'%' -f1|${TR} a-z A-Z`
#    _VALUE=`${ECHO} $LINE|cut -d'%' -f2|${SED} "s/'/\"/"`
#    _NEW_NAME="_TRIGO_CONF_${_NAME}"
#    eval "${_NEW_NAME}='${_VALUE}'"
#
#    if [ "${_TRIGO_DEBUG}" = "yes" ]; then
#        ${ECHO} "[setting ${_NEW_NAME}=${_VALUE}]"
#    fi
#done < ${OUTPUT_FILE}

#${RM} ${OUTPUT_FILE}
