# source this file to init trigo shell variables

if [ -z "$TOP" ]; then
    ${ECHO} "Error!: TOP environment variable is not set."
fi


#--------------------------------------------------------------------------------
# basic shell variables
#--------------------------------------------------------------------------------

export CP=cp
export RM="rm -rf"
export ECHO=echo
export TOUCH=touch
export MKDIR="mkdir -p"
export TR=tr
export GREP=grep
export AWK=awk
export SED=sed
export CAT=cat
export BC=bc


#--------------------------------------------------------------------------------
# java
#--------------------------------------------------------------------------------

# home of your java jdk
export JDK_HOME=/usr/local/jdk1.3


#--------------------------------------------------------------------------------
# db server
#--------------------------------------------------------------------------------

export TRIGO_DB=oracle


#--------------------------------------------------------------------------------
# app server
#--------------------------------------------------------------------------------

export TRIGO_APPSVR=tomcat33

# home of tomcat
export TOMCAT_HOME=/usr/local/jakarta-tomcat

# location of the j2ee jar
export J2EE_JAR=/usr/local/j2ee-1.3.1.jar


#--------------------------------------------------------------------------------
# modules memory flags
#--------------------------------------------------------------------------------

# to add more memory to a module, change the memory flag
# variable for this module
# the default values are given for the Sun jdk
# if using the IBM jdk, remove the X character e.g. '-mx64m -ms48m'

export ADMIN_MEMORY_FLAG='-Xmx64m -Xms64m'
export APPSVR_MEMORY_FLAG='-Xmx1024m -Xms256m'
export EVENTPROCESSOR_MEMORY_FLAG='-Xmx64m -Xms48m'
export QUEUEMANAGER_MEMORY_FLAG='-Xmx64m -Xms64m'
export SCHEDULER_MEMORY_FLAG='-Xmx1024m -Xms256m'
export WORKFLOWENGINE_MEMORY_FLAG='-Xmx256m -Xms64m'


#--------------------------------------------------------------------------------
# jars
#--------------------------------------------------------------------------------

# directory where jars are kept
export JARDIR=$TOP/jars


#--------------------------------------------------------------------------------
# trigo.rc
#--------------------------------------------------------------------------------

TRIGO_RC=$TOP/setup/trigo.rc
if [ -f "$TRIGO_RC" ]; then
    . $TRIGO_RC
else
    ${ECHO} "Error!: file '$TOP/setup/trigo.rc' not found"
fi
