#! /bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. ${TOP}/src/db/schema/util/set_db.sh

${ECHO}
${ECHO} ====================================================
${ECHO} Deleting old info for trigo
${ECHO} ====================================================
${ECHO}

. ${DB_DIR}/util/cleanup_cmp.sh --code=trigo --confirm_db=no

${ECHO}
${ECHO} ============================================================
${ECHO} Creating company and populating related info in db for trigo
${ECHO} ============================================================
${ECHO}

#${TRIGO_SQLPLUS} ${CONNECTION} <<EOF
#${DB_SQLFILE_EXECUTE} $DB_SCRIPTS/create_trigo_comp.sql
#EOF

. ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/create_trigo_comp.sql


${ECHO}
${ECHO} ====================================================================
${ECHO} Create basic role for Trigo users
${ECHO} ====================================================================
${ECHO}


. ${TOP}/src/db/schema/trigo/set_create_trigo.sh --confirm_db=no

CMP_DIR=$DB_DIR/cmp

BASIC_SCRIPT_SRC_FILE=${CMP_DIR}/basic_company_setup.script
BASIC_SCRIPT_FILE=${CMP_DIR}/basic_company_setup.script.tmp

${ECHO} ====================================================
${ECHO} Creating sql script for trigo
${ECHO} ====================================================

${CAT} ${BASIC_SCRIPT_SRC_FILE} \
    | ${SED} "s/%CMP_CODE%/trigo/g" \
    | ${SED} "s/%CMP_NAME%/Trigo/g" \
    > ${BASIC_SCRIPT_FILE}

${ECHO}
${ECHO} ====================================================
${ECHO} Building basic objects, users, roles for trigo
${ECHO} ====================================================
${ECHO}
${JAVA_RT} austin.interpreter.test.TestScript --companycode="$CMP_CODE" \
                                              --username="trigo_root" \
                                              --scriptpath="${BASIC_SCRIPT_FILE}"


${RM} ${BASIC_SCRIPT_FILE}

