#!/bin/bash
# 
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#


. $DB_DIR/util/set_db.sh

DB_USER=`${ECHO} ${DB_USER_NAME} | ${TR} "[:lower:]" "[:upper:]"`
START_TIME=`date`


if [ "$TRIGO_DB" = "oracle" ]; then

STATEMENT=`cat <<EOF
execute dbms_utility.analyze_schema('${DB_USER}', 'DELETE');
execute dbms_utility.analyze_schema('${DB_USER}', 'ESTIMATE');
EOF`

${ECHO} "---------------------"
${ECHO} "executing:"
${ECHO} "$STATEMENT"
${ECHO} "---------------------"

${TRIGO_SQLPLUS} ${CONNECTION} <<EOF
$STATEMENT
EOF


elif [ "$TRIGO_DB" = "db2" ]; then

STATEMENT="reorgchk update statistics on table ALL"
${ECHO} "---------------------"
${ECHO} "executing:"
${ECHO} "$STATEMENT"
${ECHO} "---------------------"
. ${DB_DIR}/util/run_db_cmd.sh --var=$STATEMENT --disconnect=yes

#
# more stuff to reorg the ita table (must do runstats after the reorg)
# run from the db2 CLP
#
# reorg table tctg_ita_item_attributes index ictg_ita_0
# reorg indexes all for table tctg_ita_item_attributes
# reorgchk update statistics on table ALL
#


else  
      ${ECHO} "Error! Database Environment has not been set."  
      exit 
fi


END_TIME=`date` 
${ECHO} 
${ECHO} =====================================================
${ECHO}   Completed Updating Statistics schema for $DB_USER
${ECHO}   Start Time : $START_TIME 
${ECHO}   End Time   : $END_TIME
${ECHO} =====================================================
${ECHO}








