#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#



if [ "$TRIGO_DB" = "oracle" ]; then
	${ECHO} ====================================================
	${ECHO} No Database objects required to be created
	${ECHO} ====================================================
elif [ "$TRIGO_DB" = "db2" ]; then
	${ECHO} ====================================================
	${ECHO} Loading new function SSINSTR
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/instr_function.sql

	${ECHO} ====================================================
	${ECHO} "Loading new functions SSRPAD and SSLPAD"
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/rightpad_and_leftpad_function.sql

	${ECHO} ====================================================
	${ECHO} "Loading new function GREATEST"
	${ECHO} ====================================================
  . ${DB_DIR}/util/run_db_cmd.sh --file=$DB_SCRIPTS/greatest_function.sql

else 
	${ECHO} "Error! Database Environment has not been set."
	exit
fi
