#!/bin/bash
# 
# DISCLAIMER
#   Trigo Technologies, Inc. disclaims all warranties or representations herein,
#   whether express, implied or statutory, to the fullest extent
#   permissible by law, including the implied warranties of title,
#   fitness for a particular purpose and merchantability.
# 
# COPYRIGHTS
#   Copyright 2001, 2002 Trigo Technologies, Inc. All rights reserved.
# 
#   Trigo Technologies, Inc.
#   8000 Marina Blvd, Suite 810
#   Brisbane, CA 94005
#   U.S.A.
#   www.trigo.com
# 
# TRADEMARKS
#   Trigo, Trigo Enterprise, Trigo Content Suite, Trigo Commerce Suite,
#   and Trigo Platform are trademarks of Trigo Technologies, Inc.
#   All other company and product names are trademarks or registered
#   trademarks of their respective owners.
#



# set up CONNECTION variable
. $DB_DIR/util/set_db.sh

OUTPUT_FILE=$TOP/logs/purge.log
TMP_FILE=$TOP/logs/purge.log.tmp

DB_USER=`${ECHO} ${DB_USER_NAME} | ${TR} "[:lower:]" "[:upper:]"`

PURGE_DATA_BEFORE_DAYS=30
if [[($1 != null && $1 > 0)]]; then
    PURGE_DATA_BEFORE_DAYS=$1
fi


cd $TMP_DIR

STATEMENT=`cat <<EOF
delete from TPFM_PPR_PROFILE 
where ppr_profile_id in 
(select ppr_profile_id from TPFM_PPR_PROFILE 
where ppr_name like 'Page::%' AND ppr_start_time <= 
(select max(ppr_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS)
from TPFM_PPR_PROFILE where ppr_name like 'Page::%'));

commit;

delete from TPFM_PPI_PROFILE_INFO 
where ppi_profile_name like 'Page::%' 
AND ppi_start_time <= (select max(ppi_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPI_PROFILE_INFO where ppi_profile_name like 'Page::%');

commit;

delete from TPFM_PPR_PROFILE 
where ppr_profile_id in 
(select ppr_profile_id from TPFM_PPR_PROFILE 
where ppr_name not like 'Page::%' 
AND ppr_start_time <= (select max(ppr_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPR_PROFILE where ppr_name not like 'Page::%'));

commit;

delete from TPFM_PPI_PROFILE_INFO 
where ppi_profile_name not like 'Page::%' 
AND ppi_start_time <= (select max(ppi_start_time)-(24*60*60*1000*$PURGE_DATA_BEFORE_DAYS) 
from TPFM_PPI_PROFILE_INFO where ppi_profile_name not like 'Page::%');

commit;
EOF`

${ECHO} "---------------------"
${ECHO} "executing:"
${ECHO} "$STATEMENT"
${ECHO} "---------------------"

${TRIGO_SQLPLUS} ${CONNECTION} <<EOF
$STATEMENT
EOF
